export type iframeInfoType = {
    xs?: 6 | 8 | 12 | 24,
    sm?: 6 | 8 | 12 | 24,
    md?: 6 | 8 | 12 | 24,
    lg?: 6 | 8 | 12 | 24,
    xl?: 6 | 8 | 12 | 24,
    iframeHeight?: number,
    montorId?: number,
    index?: number,
    viewType?: 1 | 2 | 3,//窗口显示状态1：初始状态，PRPSorPRPD只显示一个且可以切换， 2：半屏状态：3：其他窗口半屏状态
}
// 定义监测点组的类型
export interface monitorType {
    name: string;
    id: string;
    disabled?: boolean; // 可选属性，表示节点是否被禁用
    level?: number; // 节点的层级，可选属性 1为监测点组级别。2为监测点级别
    type?: string; // 节点的类型，可选属性 root为跟节点
    monitorType?: number, // 监测类型
    deviceNum?: number | string,
    deviceIp?: number | string,
    devicePort?: number | string,
    positionX?: number | string,
    positionY?: number | string,
}
export interface TreeNode {
    name: string;
    id: string;
    disabled?: boolean; // 可选属性，表示节点是否被禁用
    children?: TreeNode[] | monitorType[]; // 子节点数组，可选属性
    level?: number; // 节点的层级，可选属性 1为监测点组级别。2为监测点级别
    type?: string; // 节点的类型，可选属性 root为跟节点
}